Subject: Re: [bitcoin-dev] Crossing the line? [Was: Re: Let's deploy BIP65 CHECKLOCKTIMEVERIFY!]

From: Gregory Maxwell <[email-masked]>
Date: Fri, 2 Oct 2015 16:37:07 +0000

On Fri, Oct 2, 2015 at 12:23 PM, Mike Hearn via bitcoin-dev
<[email-masked]> wrote:
> At that time nobody used the term "SPV wallet" to refer to what apps like
> BreadWallet or libraries like bitcoinj do. Satoshi used the term "client
> only mode", Jeff was calling them "headers only client" etc. So I said, I'm
> going to call them SPV wallets after the section of the whitepaper that most
> precisely describes their operation.

https://bitcointalk.org/index.php?topic=125.msg1149#msg1149  (a full
year before your post, as someone else had already responded to you on
Reddit; client mode was just what implementation inside Bitcoin was
called)

But this is silly. The only point I was making was that when you were
referring to the limitations of BitcoinJ which would not generalize to
not state it as a property of SPV I think it is preferable to make
that decision,especially when it would not generalize to ones that
implemented everything described in section 8, or even just more
complete checks on the data they were already receiving. Who coined
the tern is irrelevant to that (although you indisputably did not use
even the abbreviation before others). Jtimon's later post on the
misuse of fallacious arguments should have been enough that I
shouldn't have to spell this out.